{config, pkgs,  ...}:

{
  imports = [
    ../../common/gui
    ../../common/devel
    ../../common/networking-home
    ./fs.nix
    ./hardware-configuration.nix
  ];
  
  networking.hostName = "nix-te-vinden"; 
  hardware.bluetooth.enable = true;
  hardware.bluetooth.package = pkgs.bluezFull;
  hardware.pulseaudio.package = pkgs.pulseaudioFull;
}
