{ pkgs, ...}:

{
  environment = {
    systemPackages = with pkgs; [
      # General
      git
      socat
      # C/C++
      bison
      gcc
      cmake
      gnumake
      llvmPackages.bintools
      ninja
      pkgconfig
      qtcreator
      qt5.full
      zlib
      
      # Java
      gradle
      jetbrains.idea-ultimate
      maven
      
     # NixOS
     nix-prefetch-scripts
    ];
  };
}
