{ stdenv, fetchurl, cmake, extra-cmake-modules, kdeFrameworks, libsForQt5, plasma-workspace}:

stdenv.mkDerivation rec {
    name = "plasma-applet-window-buttons";
    src = fetchurl {
      url = https://github.com/psifidotos/applet-window-buttons/archive/0.8.1.tar.gz;
      sha256 = "11l9r8n72yix2x1qnjg048h5p5h516yx3ap94dmkwb8722lzqylz";
    };
    nativeBuildInputs = [ cmake extra-cmake-modules ];
    buildInputs = [ kdeFrameworks.plasma-framework kdeFrameworks.kcoreaddons libsForQt5.kdecoration plasma-workspace ];
}
